package travel.entity;
// Generated Apr 13, 2017 10:12:16 PM by Hibernate Tools 4.3.1


import java.util.HashSet;
import java.util.Set;
import javax.persistence.CascadeType;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.GeneratedValue;
import static javax.persistence.GenerationType.IDENTITY;
import javax.persistence.Id;
import javax.persistence.OneToMany;
import javax.persistence.Table;

/**
 * Vaitro generated by hbm2java
 */
@Entity
@Table(name="vaitro"
    ,catalog="travel_tour"
)
public class Vaitro  implements java.io.Serializable {


     private Integer id;
     private String tenvaitro;
     private String mota;
     private Set<Nguoidung> nguoidungs = new HashSet<Nguoidung>(0);

    public Vaitro() {
    }

	
    public Vaitro(String tenvaitro) {
        this.tenvaitro = tenvaitro;
    }
    public Vaitro(String tenvaitro, String mota, Set<Nguoidung> nguoidungs) {
       this.tenvaitro = tenvaitro;
       this.mota = mota;
       this.nguoidungs = nguoidungs;
    }
   
     @Id @GeneratedValue(strategy=IDENTITY)

    
    @Column(name="id", unique=true, nullable=false)
    public Integer getId() {
        return this.id;
    }
    
    public void setId(Integer id) {
        this.id = id;
    }

    
    @Column(name="tenvaitro", nullable=false, length=65535)
    public String getTenvaitro() {
        return this.tenvaitro;
    }
    
    public void setTenvaitro(String tenvaitro) {
        this.tenvaitro = tenvaitro;
    }

    
    @Column(name="mota", length=65535)
    public String getMota() {
        return this.mota;
    }
    
    public void setMota(String mota) {
        this.mota = mota;
    }

@OneToMany(fetch=FetchType.LAZY, mappedBy="vaitro",cascade=CascadeType.ALL)
    public Set<Nguoidung> getNguoidungs() {
        return this.nguoidungs;
    }
    
    public void setNguoidungs(Set<Nguoidung> nguoidungs) {
        this.nguoidungs = nguoidungs;
    }




}


